.input-form {
  width: 100%;
  min-height: calc(100vh - 200px);
  background-color: #fff;
  margin-bottom: 50px;
  padding: 90px 0;
  // .input-form__container
  &__container {
  }
  // .input-form__form
  &__form {
    margin: 0 auto;
    max-width: 448px;
    width: 100%;
  }
  // .input-form__title
  &__title {
    font-family: 'Poppins SemiBold';
    font-size: 22px;
    line-height: 30px;
    color: #000;
    text-align: center;
    max-width: 600px;
    margin: 0 auto;
  }
  // .input-form__title-2
  &__title-2 {
    font-family: 'Poppins Regular';
    font-size: 13px;
    line-height: 25px;
    color: #7d7d7d;
    text-align: center;
    max-width: 358px;
    margin: 25px auto 0 auto;
  }
  // .input-form__input--form
  &__input--form {
    margin-top: 40px;
  }
  // .input-form__input
  &__input {
    width: 100%;
    margin-bottom: 15px;
    input {
      width: 100%;
      border: 1px solid #d8d8d8;
      border-radius: 40px;
      color: #808080;
      padding: 19px 40px;
      font-family: 'Poppins Regular';
      font-size: 13px;
      line-height: 17px;
      &:placeholder {
        color: inherit;
      }
    }
  }
  &__reg-inputs {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    input {
      border: 1px solid #d8d8d8;
      width: 56px;
      height: 56px;
      border-radius: 5px;
      margin: 0px 12px;
      font-size: 30px;
      color: #b6b7b7;
      text-align: center;
      &::placeholder {
        color: #b6b7b7;
      }
    }
    @media (max-width: $md2) {
      input {
        font-size: 25px;
        width: 45px;
        height: 45px;
      }
    }
  }
  // .input-form__input--password
  &__input--password {
    position: relative;
    margin-bottom: 20px;
    button {
      position: absolute;
      background: transparent;
      right: 28px;
      z-index: 1;
      top: 50%;
      height: 15px;
      transform: translateY(-50%);
    }
    #p-hidden {
      display: block;
    }
    #p-visible {
      display: none;
    }
  }
  // .input-form__forgot-pass
  &__forgot-pass {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 42px;
    a {
      font-family: 'Poppins Regular';
      color: #808080;
      font-size: 13px;
      line-height: 17px;
    }
  }
  // .input-form__checkbox
  &__checkbox {
    padding-top: 10px;
    padding-bottom: 50px;
    input {
      display: none;
    }
    label {
      cursor: pointer;
      display: flex;
      align-items: center;
      span {
        display: block;
        width: 20px;
        height: 20px;
        border: 1px solid #d8d8d8;
        position: relative;
      }
      p {
        padding-left: 15px;
        font-family: 'Poppins Regular';
        font-size: 13px;
        line-height: 20px;
        color: #000;
      }
    }
    input[type='checkbox']:checked + label span {
      &::before {
        content: '';
        position: absolute;
        height: 6px;
        width: 14px;
        border-left: 2px solid #fbb03b;
        border-bottom: 2px solid #fbb03b;
        top: 3px;
        left: 3px;
        transform: rotate(-40deg);
      }
    }
  }
  // .input-form__button
  &__button {
    width: 100%;
    input,
    a {
      display: block;
      width: 100%;
      padding: 19px;
      cursor: pointer;
      background: $colorGreen;
      font-family: 'Poppins SemiBold';
      color: #fff;
      font-size: 13px;
      line-height: 17px;
      border-radius: 40px;
      text-align: center;
    }
    input:disabled,
    a:disabled {
      background: #bababa;
      pointer-events: none;
    }
    &--yellow {
      input {
        background: #fbb03b;
        color: #000;
      }
    }
  }
  // .input-form__sign-up
  &__sign-up {
    margin-top: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    line-height: 19px;
    color: #000;
    p {
      margin-right: 50px;
    }
    a {
      color: inherit;
      font-family: 'Poppins SemiBold';
      &:hover {
        color: $colorGreen;
      }
    }
  }
  // .input-form__text-link
  &__text-link {
    text-align: center;
    margin-top: 22px;
    a {
      font-family: 'Poppins Regular';
      font-size: 13px;
      line-height: 20px;
      color: #000;
      &:hover {
        text-decoration: underline;
      }
    }
  }
  // .input-form__divider
  &__divider {
    display: flex;
    align-items: center;
    margin-bottom: 23px;
    &::before,
    &::after {
      content: '';
      display: block;
      flex: 1 1 auto;
      height: 1px;
      background-color: #d8d8d8;
    }
    span {
      font-size: 13px;
      line-height: 20px;
      font-family: 'Poppins Regular';
      display: block;
      padding: 0px 60px;
      color: #bebebe;
    }
  }
  // .input-form__input--region
  &__input--region {
    position: relative;
    input {
      padding-left: 126px;
    }
  }
  // .input-form__phone-id-dropdown
  &__phone-id-dropdown {
    position: absolute;
    left: 23px;
    top: 15px;
  }
  @media (max-width: $md3) {
    padding: 50px 0;
    &__input {
      input {
        padding: 15px 30px;
      }
    }
    &__button {
      input,
      a {
        padding: 13px;
      }
    }
  }
}

.phone-id-dropdown {
  // .phone-id-dropdown__current
  &__current {
    border-radius: 20px;
    background-color: #f5f5f5;
    height: 30px;
    padding: 9px 29px 9px 12px;
    display: flex;
    align-items: center;
    position: relative;
    cursor: pointer;
    &::before {
      content: '';
      position: absolute;
      width: 5px;
      height: 5px;
      border-left: 1px solid #000;
      border-bottom: 1px solid #000;
      top: 10px;
      transform: rotate(-45deg);
      right: 13px;
    }
  }
  // .phone-id-dropdown__regions
  &__regions {
    display: none;
  }
  // .phone-id-dropdown__region
  &__region {
  }
  img {
    width: 20px;
    height: 11px;
  }
  span {
    padding-left: 8px;
    font-size: 13px;
    line-height: 20px;
  }
}
